RKWARD(1)

NAME
rkward - A KDE frontend to R

SYNOPSIS

rkward [--evaluate Rcode] [--debug-level level] [--debug-flags flags] [--debugger debugger_command [debugger_args [--]]] [--backend-debugger debugger_command] [--r-executable path_to_executable] [--reuse] [KDE Generic Options] [Qt Generic Options] [files_to_open]

DESCRIPTION

RKWard is the a KDE-based GUI and IDE for the R scripting language for statistical computing.

For more information, please refer to the RKWard website[1], and the documentation provided inside RKWard.

OPTIONS

--evaluate Rcode
    The given R code is evaluated after RKWard has started, and after any specified workspace is loaded. Mostly useful for automated testing.

--debug-level level
    Verbosity of debug output. 0-5, where 0 is no output, 5 is all output including function trace information. Default it 2.

--debug-flags flags
    Allows to configure, which sections of code to debug. Flags are given as a binary number. Refer to the source files for documentation, as this really is an internal option.

--debugger command [arguments [--]]
    Run RKWard through the specified debugger command. All arguments following this will be passed to the debugger command. To end debugger arguments (and add arguments to pass to RKWard), use "--". NOTE: Only the frontend process will be debugged, using this option.

    Note that there are a number of pitfalls that may complicate setting up the debugger session as desired. Consider starting RKWard with option \-\-debug-lebel 3, which will print the effective command line used to start the frontend (but not all relevant environment variables). As one hint, you will generally need to pass a separator argument with the debugger arguments, e.g. rkward --debugger gdb --args. Under Windows, the debugger command will not be connected to stdin. For interactive debugging, consider using a graphical debugger.

--backend-debugger command
    Run the RKWard backend through the specified debugger command. To add command line options to the debugger command, enclose them in single quotes ('') together with the command. NOTE: Debugger arguments will be split by spaces. If this is not appropriate, you will have to write your own wrapper script for invoking the debugger. Also, make sure to redirect all debugger output and/or input as appropriate. See the examples.

--r-executable command
    In the case of several R installations, specify the installation to use, e.g. /usr/bin/R. Note that the rkward R library must have been installed to this installation of R, or startup will fail.

--reuse
    If an instance of RKWard is already running, bring that to the front, and open files_to_open. Note that all other command line options will be ignored in case an instance is reused.

files_to_open
    You can specify any number of file names or urls for RKWard to open. Usually this will be either workspace files, workplace files, R script files, or rkward://-urls (e.g. for starting with a plugin dialog). Specifying more than one workspace file will lead to the workspaces being merge together, and is not recommended.

SEE ALSO

R(1)

EXAMPLES

    # Run the rkward backend through valgrind
    rkward --backend-debugger 'valgrind --log-file=valgrind.log'.
    # Debug the frontend through gdb
    rkward --debugger 'gdb --args'

AUTHORS

RKWard was written by Thomas Friedrichsmeier and the RKWard team. See the RKWard website[1].

AUTHOR

Thomas Friedrichsmeier <rkward-devel@kde.org>
    RKWard man page.

NOTES

1.  the RKWard website
    http://rkward.kde.org/